const express = require("express");
var app = express();
var bodyParser = require('body-parser');
app.use(bodyParser.json({ limit: '100mb' }));
app.use(bodyParser.urlencoded({ limit: '500mb', extended: true, parameterLimit: 100000 }));
const { catchErrors, checkToken } = require("../handlers/errorHandlers");
const LegacyController = require("../controllers/Legacy/LegacyController");
const router = express.Router();
router.route("/getOrdersLegacy").post(catchErrors(LegacyController.getOrdersLegacy));
router.route("/getCffWmsOrdersLegacy").post(catchErrors(LegacyController.getCffWmsOrdersLegacy));
router.route("/getWmsOrderUingPostman").post(catchErrors(LegacyController.getWmsOrderUingPostman));
router.route("/getCffWmsLegacy").post(catchErrors(LegacyController.getCffWmsLegacy));
router.route("/getCffWmsLegacyOrder").post(catchErrors(LegacyController.getCffWmsLegacyOrder));


module.exports = router;
